LibreOffice: ScriptURIHelper Service Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ScriptURIHelper Service Reference

This service is used to help transform Scripting Framework storage locations to Scripting Framework script URIs and vice versa. More...

`import <ScriptURIHelper.idl;`

Inheritance diagram for ScriptURIHelper:

## Public Member Functions
| create ([in] string language, [in] string location) raises ( ::com::sun::star::lang::IllegalArgumentException )
| create a new ScriptURIHelper
Public Member Functions inherited from XScriptURIHelper
string | getRootStorageURI ()
| Obtain the root storage URI for this ScriptURIHelper.
string | getStorageURI ([in] string scriptURI) raises ( ::com::sun::star::lang::IllegalArgumentException )
| Obtain the storage URI for a specific Scripting Framework script URI.
string | getScriptURI ([in] string storageURI) raises ( ::com::sun::star::lang::IllegalArgumentException )
| Obtain the Scripting Framework script URI for a specific UCB URI.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

This service is used to help transform Scripting Framework storage locations to Scripting Framework script URIs and vice versa.

## Member Function Documentation

## ◆ create()

create | ( | [in] string | language,
|  | [in] string | location )
raises | ( | ::com::sun::star::lang::IllegalArgumentException ) |  |  |

create a new ScriptURIHelper

Parameters

  language | The name of the scripting language for which this ScriptURIHelper is being created. It should be the same as the language name used for the service that inherits from the LanguageScriptProvider service
  location | This location which was passed to the LanguageScriptProvider by the Scripting Framework on its creation

Exceptions

  com::sun::star::lang::IllegalArgumentException |

The documentation for this service was generated from the following file:

- com/sun/star/script/provider/ScriptURIHelper.idl